# Segmentation via Layered Surface Detection

This repository contains tutorials for the using the layered surface detection tool. Included is a Jupyter notebook entitled _LayeredSurfaceDetection_tutorial.ipynb_ which contains a short tutorial on applying the tool to a 2D dataset. A Python file containing some helper functions that are used in the tutorial is also included in _helpers.py_.

These tutorials will give you an understanding of how to apply the Layered Surface tool to image data so that you can use the tool on your own datasets. You can open them at [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/git/https%3A%2F%2Flab.compute.dtu.dk%2FQIM%2Ftutorials%2Flayered-surfaces/HEAD).

For local installation, you need to be sure to install the slgbuilder Python package using, `pip install slgbuilder`.

If you are using Anaconda, you have the option of automatically install the required packages using the included environment file:

Mac/Linux:
1. Navigate to the folder containing these tutorials and the `environment.yml` file.
2. To open the terminal, right click on the folder and navigate to
    - Mac: Services/New Terminal at Folder
    - Linux: Open in Terminal
3. Type `conda env create -f environment.yml` and press enter.
4. Type `conda activate qim-LS` and press enter.

Windows:
1. Open Anaconda Prompt.
2. `cd <tutorials_path>`, where tutorials_path is the absolute (full) path to the folder containing these tutorials.
3. Type `conda env create -f environment.yml` and press enter.
4. Type `conda activate qim-LS` and press enter.

For more detailed information regarding the tool please see the [reference paper](https://orbit.dtu.dk/en/publications/layered-surface-detection-for-virtual-unrolling) by Vedrana A. Dahl vand@dtu.dk.

The development of the tutorials is a combined effort from several researchers in the QIM team. The collection of scripts and exercises is in constant development, and actively used to demonstrate the tool and teach at workshops. We would therefore very much appreciate to hear about your experience. 

Please contact William Laprade wl@di.ku.dk with issues and feedback.
